> ## Documentation Index
> Fetch the complete documentation index at: https://docs.meld.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a financial account investment holding

> Use this endpoint to retrieve investment holding information of a specific financial account investment holding.



## OpenAPI

````yaml /openapi/banklinking-20260203.json get /bank-linking/investments/holdings/{investmentHoldingId}
openapi: 3.1.0
info:
  title: BANK LINKING
  termsOfService: urn:tos
  license:
    name: Apache 2.0
    url: https://springdoc.org
  version: '2026-02-03'
  description: ''
servers:
  - url: https://api-sb.meld.io
    description: Meld API sandbox
  - url: https://api.meld.io
    description: Meld API production
security: []
tags:
  - name: Financial Account Connect
  - name: Financial Account Transactions
  - name: Financial Accounts
  - name: Institutions
paths:
  /bank-linking/investments/holdings/{investmentHoldingId}:
    get:
      tags:
        - Investments
      summary: Get a financial account investment holding
      description: >-
        Use this endpoint to retrieve investment holding information of a
        specific financial account investment holding.
      operationId: bank-linking-investment-holdings-get
      parameters:
        - name: investmentHoldingId
          in: path
          description: Investment Holding id
          required: true
          schema:
            type: string
            default: ''
      responses:
        '200':
          description: Financial account investment holding is returned
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/FinancialAccountInvestmentHolding'
        '400':
          description: 'Bad Request : check request values and format'
        '401':
          description: Invalid credentials
        '403':
          description: Unauthenticated or authenticated with insufficient access
        '404':
          description: Financial account investment holding cannot be found
          content:
            '*/*':
              schema:
                additionalProperties:
                  default: ''
                default: ''
                allOf:
                  - $ref: '#/components/schemas/ErrorResponse'
        '500':
          description: >-
            Server Error. This applies to all 5xx errors, including but not
            limited to 500, 501, 502, 503, and 504 errors. You should treat all
            of these errors the same.
      security:
        - ApiKeyAuth: []
components:
  schemas:
    FinancialAccountInvestmentHolding:
      type: object
      properties:
        accountId:
          type: string
          description: >-
            The unique identifier of your account with Meld. This id will be the
            same for all calls to Meld endpoints made from this account.
        closePrice:
          type: number
          description: Price of the asset at the close of the previous trading session
        connectionIds:
          type: array
          description: Connection(s) this holding belongs to.
          items:
            type: string
        costBasis:
          type: number
          description: Original total value
        currency:
          type: string
          description: Currency of the amounts
        currentValue:
          type: number
          description: >-
            Total value at the close of previous trading session. Null for
            non-publicly traded securities
        cusip:
          type: string
          description: cusip
        customerId:
          type: string
          description: >-
            Meld generated unique identifier for your customer. This should be
            used to track customer activity.
        description:
          type: string
          description: Description
        externalCustomerId:
          type: string
          description: >-
            Your unique identifier for your customer. If maintaining your own
            customer management system this can also be used for tracking
            customer activity.
        financialAccountId:
          type: string
          description: Financial Account id
        id:
          type: string
          description: The id of the financial account investment holding
        isin:
          type: string
          description: isin
        key:
          type: string
          description: >-
            When this financial account investment holding is part of a
            paginated list, this key represents its position in the list
        quantity:
          type: number
          description: >-
            Total number of units of the asset held. Depending on the type of
            the holding, this will be either the number of shares, number of
            options, or the number of crypto currency tokens held.
        serviceProviderDetails:
          type: array
          description: >-
            Raw service provider details for the service provider investment
            holdings(s) associated with this Financial Account Investment
            Holding. The raw format varies by service provider, but each result
            will always contain a serviceProvider field and an updatedAt field.
            Results are ordered by updatedAt, with the most recent result at the
            start of the list, and the oldest at the bottom.
          items:
            type: object
            additionalProperties: {}
        symbol:
          type: string
          description: >-
            Security identifier. Will be the trading symbol if for publicly
            traded securities or the crypto currency symbol for crypto holdings.
        type:
          type: string
          description: Holding type
          enum:
            - STOCK
            - MUTUAL_FUND
            - CASH
            - OTHER
            - REAL_ESTATE
            - ETF
            - DERIVATIVE
            - DIGITAL_ASSET
            - BOND
    ErrorResponse:
      type: object
      properties:
        code:
          type: string
        displayMessage:
          type: string
        errors:
          type: array
          items:
            type: string
        message:
          type: string
        requestId:
          type: string
        serviceProviderDetails:
          type: object
          additionalProperties: {}
        timestamp:
          type: string
          format: date-time
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: Authorization
      x-default: BASIC <Meld API Key>

````